# `abacusai.prediction_feature_group`

## Module Contents

### Classes

`PredictionFeatureGroup` | Batch Input Feature Group

class abacusai.prediction_feature_group.PredictionFeatureGroup(client, featureGroupId=None, featureGroupVersion=None, datasetType=None, default=None, required=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  Batch Input Feature Group

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - featureGroupId (str) – The unique identifier of the feature group

    - featureGroupVersion (str) – The unique identifier of the feature group version used for predictions

    - datasetType (str) – dataset type

    - default (bool) – If true, this feature group is the default feature group in the model

    - required (bool) – If true, this feature group is required for the batch prediction

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict